## python-ase 3.9.1.4567

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html latex linkcheck

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

help:
	@echo "Use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  clean      to clean up"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

clean:
	rm -rf $(BUILDDIR)/*

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

## python-ase 3.6.0.2515

=== debian/changelog ===
python-ase (3.6.0.2515-1) unstable; urgency=low

  * Initial upload (Closes: #602126).

 -- Ask Hjorth Larsen <asklarsen@gmail.com>  Sun, 27 May 2012 02:32:46 +0200

=== debian/control ===
Source: python-ase
Section: python
Priority: optional
Maintainer: Ask Hjorth Larsen <asklarsen@gmail.com>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7.0.50), python-central (>= 0.6.0), python (>=2.5), gettext (>=0.14.6), python-numpy
Standards-Version: 3.9.1
XS-Python-Version: >= 2.4
Homepage: https://wiki.fysik.dtu.dk/ase/

Package: python-ase
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: python-numpy, ${python:Depends}, ${misc:Depends}
Recommends: python-gtk2
Suggests: python-scipy, python-matplotlib
Description: Atomic Simulation Environment for atomistic simulations
 ASE is an Atomistic Simulation Environment written in the Python programming
 language with the aim of setting up, stearing, and analyzing atomistic 
 simulations.  ASE is part of CAMPOS, the CAMP Open Source project.
 .
 ASE contains Python interfaces to several different electronic structure
 codes including Abinit, Asap, Dacapo, Elk, GPAW and SIESTA.
 .
 https://wiki.fysik.dtu.dk/ase/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python-central

override_dh_auto_test:
	python setup.py test

override_dh_auto_clean:
	rm -rf build/testase-tempfiles
	dh_auto_clean

## python-ase 3.8.1.3440

=== debian/changelog ===
python-ase (3.8.1.3440-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #736055)
  * File names no longer conflict with silversearcher-ag. (Closes: #717989)
  * Dropped old patches and outdated README.Debian.
  * Moved suggested to recommended packages, as recommended by upstream.
  * Changed copyright to machine-readable format.
  * Regenerated manpages by help2man.
  * Added watch file.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 26 Sep 2014 21:42:09 +0200

python-ase (3.6.0.2515-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2. (Closes: #708890) 

 -- Andrea Colangelo <warp10@ubuntu.com>  Wed, 03 Jul 2013 00:06:23 +0200

=== debian/control ===
Source: python-ase
Section: python
Priority: optional
Maintainer: Ask Hjorth Larsen <asklarsen@gmail.com>
Build-Depends: python-all (>= 2.6.6-3), debhelper (>= 9), dh-python
Standards-Version: 3.9.6
Homepage: https://wiki.fysik.dtu.dk/ase/

Package: python-ase
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy
Recommends: python-gtk2, python-scipy, python-matplotlib
Description: Atomic Simulation Environment
 ASE is an Atomic Simulation Environment written in the Python programming
 language with the aim of setting up, stearing, and analyzing atomic
 simulations.  ASE is part of CAMPOS, the CAMP Open Source project.
 .
 ASE contains Python interfaces to several different electronic structure
 codes including Abinit, Asap, Dacapo, Elk, GPAW and SIESTA.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-ase

# some tests require running X
export DEB_BUILD_OPTIONS=nocheck

%:
	dh $@ --with python2 --buildsystem=pybuild

## python-ase 3.9.1.4567

=== debian/changelog ===
python-ase (3.9.1.4567-3) unstable; urgency=medium

  * Fix build with NumPy >= 1.10, thanks Ask. (Closes: #810903)

 -- Graham Inggs <ginggs@debian.org>  Thu, 25 Feb 2016 18:18:14 +0200

python-ase (3.9.1.4567-2) unstable; urgency=medium

  * Update my email address.
  * Drop db-test.patch, set PATH in d/rules to run db tests during build.
  * Build a python3 package, separate documentation package.
  * Force LC_ALL=C.UTF-8 for the tests, thanks jodal and tumbleweed.

 -- Graham Inggs <ginggs@debian.org>  Mon, 28 Dec 2015 22:52:14 +0200

python-ase (3.9.1.4567-1) unstable; urgency=medium

  * New upstream release.
  * Change maintainer to Debichem Team, add myself to uploaders
    (with Ask Hjorth Larsen's blessing).
  * Add Vcs-* fields.
  * Drop fix_optionparser_error_arguments.patch included upstream.
  * Install .desktop file and icon for ase-gui.
  * Update debian/copyright, use templates from dh-make.
  * Fix executable-not-elf-or-script Lintian warning.
  * Add Build-Depends on python-numpy, new db-test.patch
    and enable setup.py tests (thanks Stefano Rivera).
  * Add generate-manpages custom target to debian/rules.
  * Regenerate manpages.

 -- Graham Inggs <graham@nerve.org.za>  Fri, 24 Jul 2015 10:36:34 +0200

=== debian/control ===
Source: python-ase
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Ask Hjorth Larsen <asklarsen@gmail.com>,
           Graham Inggs <ginggs@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-numpy,
               python3-all,
               python3-numpy
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/python-ase.git
Vcs-Git: git://anonscm.debian.org/debichem/packages/python-ase.git
Homepage: https://wiki.fysik.dtu.dk/ase/

Package: python-ase
Architecture: all
Depends: python-numpy,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-gtk2,
            python-matplotlib,
            python-scipy
Suggests: python-ase-doc
Description: Atomic Simulation Environment (Python 2)
 ASE is an Atomic Simulation Environment written in the Python programming
 language with the aim of setting up, stearing, and analyzing atomic
 simulations.  ASE is part of CAMPOS, the CAMP Open Source project.
 .
 ASE contains Python interfaces to several different electronic structure
 codes including Abinit, Asap, Dacapo, Elk, GPAW and SIESTA.
 .
 This package provides the Python 2 modules.

Package: python3-ase
Architecture: all
Depends: python3-numpy,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-matplotlib,
            python3-scipy
Suggests: python-ase-doc
Description: Atomic Simulation Environment (Python 3)
 ASE is an Atomic Simulation Environment written in the Python programming
 language with the aim of setting up, stearing, and analyzing atomic
 simulations.  ASE is part of CAMPOS, the CAMP Open Source project.
 .
 ASE contains Python interfaces to several different electronic structure
 codes including Abinit, Asap, Dacapo, Elk, GPAW and SIESTA.
 .
 This package provides the Python 3 modules.

Package: python-ase-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: python-ase (<< 3.9.1.4567-2~)
Replaces: python-ase (<< 3.9.1.4567-2~)
Description: Atomic Simulation Environment (common documentation)
 ASE is an Atomic Simulation Environment written in the Python programming
 language with the aim of setting up, stearing, and analyzing atomic
 simulations.  ASE is part of CAMPOS, the CAMP Open Source project.
 .
 ASE contains Python interfaces to several different electronic structure
 codes including Abinit, Asap, Dacapo, Elk, GPAW and SIESTA.
 .
 This package provides the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog --show-field Version | sed 's/-[^-]*//')

export PYBUILD_NAME=ase

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} {dir}/setup.py test" \
		PATH=$(CURDIR)/tools:$$PATH \
		LC_ALL=C.UTF-8 \
		dh_auto_test

override_dh_auto_install:
	# Fix some permissions
	chmod -x $(CURDIR)/doc/static/*
	chmod -x $(CURDIR)/doc/ase/calculators/*

	dh_auto_install

	# Install the documentation into a separate package
	mkdir -p $(CURDIR)/debian/python-ase-doc/usr/share/
	mv $(CURDIR)/debian/python-ase/usr/share/python-ase $(CURDIR)/debian/python-ase-doc/usr/share/
	rm -rf $(CURDIR)/debian/python3-ase/usr/share/python-ase

	# Rename the python3 executables
	mv $(CURDIR)/debian/python3-ase/usr/bin/ase-build $(CURDIR)/debian/python3-ase/usr/bin/ase-build3
	mv $(CURDIR)/debian/python3-ase/usr/bin/ase-db $(CURDIR)/debian/python3-ase/usr/bin/ase-db3
	mv $(CURDIR)/debian/python3-ase/usr/bin/ase-info $(CURDIR)/debian/python3-ase/usr/bin/ase-info3
	mv $(CURDIR)/debian/python3-ase/usr/bin/ase-run $(CURDIR)/debian/python3-ase/usr/bin/ase-run3

	# ase-gui does not work with python3 yet, so remove it
#	mv $(CURDIR)/debian/python3-ase/usr/bin/ase-gui $(CURDIR)/debian/python3-ase/usr/bin/ase-gui3
	rm $(CURDIR)/debian/python3-ase/usr/bin/ase-gui

	# Install the manpages for the python3 executables
	mkdir -p $(CURDIR)/debian/python3-ase/usr/share/man/man1/
	cp $(CURDIR)/debian/man/ase-build.1 $(CURDIR)/debian/python3-ase/usr/share/man/man1/ase-build3.1
	cp $(CURDIR)/debian/man/ase-db.1 $(CURDIR)/debian/python3-ase/usr/share/man/man1/ase-db3.1
	cp $(CURDIR)/debian/man/ase-info.1 $(CURDIR)/debian/python3-ase/usr/share/man/man1/ase-info3.1
	cp $(CURDIR)/debian/man/ase-run.1 $(CURDIR)/debian/python3-ase/usr/share/man/man1/ase-run3.1
#	cp $(CURDIR)/debian/man/ase-gui.1 $(CURDIR)/debian/python3-ase/usr/share/man/man1/ase-gui3.1

generate-manpages:
	help2man --version-string $(VERSION) -N -n "Build simple molecule or bulk structure" \
		ase-build -o $(CURDIR)/debian/man/ase-build.1
	help2man --version-string $(VERSION) -N -n "Put stuff into or query database" \
		ase-db -o $(CURDIR)/debian/man/ase-db.1
	help2man --version-string $(VERSION) -N -n "graphical user interface for ASE" \
		ase-gui -o $(CURDIR)/debian/man/ase-gui.1
	help2man --version-string $(VERSION) -N -n "Write information about files" \
		ase-info -o $(CURDIR)/debian/man/ase-info.1
	help2man --version-string $(VERSION) -N -n "Run calculations with ASE's calculators" \
		ase-run -o $(CURDIR)/debian/man/ase-run.1

=== debian/watch ===
version=3
https://wiki.fysik.dtu.dk/ase/download.html \
.*/ase-files/python-ase-(.+)\.tar\.gz

## python-ase 3.11.0

=== ase/gui/po/Makefile ===
# This makefile is used to update templates for internationalization ("i18n")
# of ase-gui.

# INSTRUCTIONS
# ------------
#
# To update existing templates with strings from the latest python files,
# just run 'make'.
#
# To create a translation template for a new language (e.g. de_DE.UTF8), run:
#     LANG=de_DE.UTF8 make init
#
# After writing translations, you need to run 'make' again to generate the
# binary translation files loaded by the programme.
#
# Then you can run 'LANG=de_DE.UTF8 ase-gui' and your translations should be
# visible if you have a developer installation.
#
# For distutils installation, the po-files are globbed from setup.py so
# they are automatically included when you run install.

# List of files calling gettext.
#TRANSLATIONFILES=../ag.py ../calculator.py ../colors.py ../constraints.py ../crystal.py ../debug.py ../dft.py ../energyforces.py ../execute.py ../graphene.py ../graphs.py ../gtkexcepthook.py ../gui.py ../minimize.py ../movie.py ../nanoparticle.py ../nanotube.py ../progress.py ../pybutton.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../scaling.py ../settings.py ../setupwindow.py ../simulation.py ../status.py ../surfaceslab.py ../widgets.py
TRANSLATIONFILES=../*.py

i18n: ag.pot update-po compile

# This will update the English template (ag.pot) with English messages from
# the Python source code.
ag.pot: ${TRANSLATIONFILES}
	xgettext --add-comments --language=Python --keyword=_ --output=ag.pot --msgid-bugs-address=ase-developers@listserv.fysik.dtu.dk --copyright-holder=CAMD --package-name=ase ${TRANSLATIONFILES}

# This will create an empty translation file ($LANG.po, where $LANG is
# an environment variable) from the English template ag.pot.
# The po-file header will have to be edited afterwards.
init: ag.pot
	mkdir -p ${LANG}/LC_MESSAGES
	msginit --locale=${LANG} --input=ag.pot --output-file=${LANG}/LC_MESSAGES/ag.po

# This will merge new/changed English strings from the template ag.pot
# into all existing translations (*.po), maximally
# reusing the existing translations.
update-po: ag.pot
	for FILE in $(wildcard */LC_MESSAGES/ag.po); do \
	  msgmerge --previous --update $$FILE ag.pot ;\
	done

# This will compile all translations (*.po) into binary files in gettext's
# search directory.
compile: */LC_MESSAGES/ag.po
	for DIR in $(wildcard */LC_MESSAGES); do \
	  echo Checking $$DIR/ag.po ;\
	  msgfmt -cv --output-file=$$DIR/ag.mo $$DIR/ag.po ;\
	done

gitrevert:
	git checkout -- ag.pot */LC_MESSAGES/ag.po

clean:
	rm -f ./*/LC_MESSAGES/ag.mo
	rm -f ./*/LC_MESSAGES/ag.po~

=== debian/changelog ===
python-ase (3.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch for move to GitLab.
  * Drop numpy-1.10-compatibility.patch, included upstream.
  * Use secure URI for Vcs-Git field.
  * Update debian/docs.
  * Documentation is no longer installed by setup.py,
    so use debian/python-ase-doc.install instead.
  * Install PNG instead of XPM icon.
  * Regenerate manpages.
  * Add build dependencies on {python,python3}-scipy,
    bump from Recommends to Depends.
  * Update PYBUILD_TEST_ARGS for new test runner.
  * Bump Standards-Version to 3.9.8, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Tue, 31 May 2016 14:57:32 +0200

## python-ase 3.12.0

=== doc/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html latex linkcheck
+.PHONY: help clean html latex linkcheck browse
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
@@ -32,6 +32,7 @@
 	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  clean      to clean up"
+	@echo "  browse     to open browser"
 
 latex:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
@@ -41,9 +42,13 @@
 
 clean:
 	rm -rf $(BUILDDIR)/*
+	python -m ase.utils.sphinx clean
 
 linkcheck:
 	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in $(BUILDDIR)/linkcheck/output.txt."
+
+browse:
+	firefox build/html/index.html

=== ase/gui/po/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # This will update the English template (ag.pot) with English messages from
 # the Python source code.
 ag.pot: ${TRANSLATIONFILES}
-	xgettext --add-comments --language=Python --keyword=_ --output=ag.pot --msgid-bugs-address=ase-developers@listserv.fysik.dtu.dk --copyright-holder=CAMD --package-name=ase ${TRANSLATIONFILES}
+	xgettext --add-comments --language=Python --keyword=_ --output=ag.pot --msgid-bugs-address=ase-users@listserv.fysik.dtu.dk --copyright-holder="ASE developers" --package-name=ase ${TRANSLATIONFILES}
 
 # This will create an empty translation file ($LANG.po, where $LANG is
 # an environment variable) from the English template ag.pot.
@@ -54,7 +54,7 @@
 	done
 
 gitrevert:
-	git checkout -- ag.pot */LC_MESSAGES/ag.po
+	git checkout -- ag.pot '*/LC_MESSAGES/ag.po'
 
 clean:
 	rm -f ./*/LC_MESSAGES/ag.mo

=== debian/changelog ===
python-ase (3.12.0-2) unstable; urgency=medium

  * Fix FTBFS with NumPy 1.12 (Closes: #848744)

 -- Graham Inggs <ginggs@debian.org>  Sat, 24 Dec 2016 16:20:40 +0200

python-ase (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Regenerate manpages.

 -- Graham Inggs <ginggs@debian.org>  Mon, 31 Oct 2016 17:40:37 +0200

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,27 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               dh-exec,
                dh-python,
                python-all,
                python-numpy,
+               python-scipy,
                python3-all,
-               python3-numpy
-Standards-Version: 3.9.6
+               python3-numpy,
+               python3-scipy
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/python-ase.git
-Vcs-Git: git://anonscm.debian.org/debichem/packages/python-ase.git
+Vcs-Git: https://anonscm.debian.org/git/debichem/packages/python-ase.git
 Homepage: https://wiki.fysik.dtu.dk/ase/
 
 Package: python-ase
 Architecture: all
 Depends: python-numpy,
+         python-scipy,
          ${misc:Depends},
          ${python:Depends}
 Recommends: python-gtk2,
-            python-matplotlib,
-            python-scipy
+            python-matplotlib
 Suggests: python-ase-doc
 Description: Atomic Simulation Environment (Python 2)
  ASE is an Atomic Simulation Environment written in the Python programming
@@ -37,10 +40,10 @@
 Package: python3-ase
 Architecture: all
 Depends: python3-numpy,
+         python3-scipy,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-matplotlib,
-            python3-scipy
+Recommends: python3-matplotlib
 Suggests: python-ase-doc
 Description: Atomic Simulation Environment (Python 3)
  ASE is an Atomic Simulation Environment written in the Python programming

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-		PYBUILD_TEST_ARGS="{interpreter} {dir}/setup.py test" \
+		PYBUILD_TEST_ARGS="cd ase/test; {interpreter} -m ase.test" \
 		PATH=$(CURDIR)/tools:$$PATH \
 		LC_ALL=C.UTF-8 \
 		dh_auto_test
@@ -20,11 +20,6 @@
 	chmod -x $(CURDIR)/doc/ase/calculators/*
 
 	dh_auto_install
-
-	# Install the documentation into a separate package
-	mkdir -p $(CURDIR)/debian/python-ase-doc/usr/share/
-	mv $(CURDIR)/debian/python-ase/usr/share/python-ase $(CURDIR)/debian/python-ase-doc/usr/share/
-	rm -rf $(CURDIR)/debian/python3-ase/usr/share/python-ase
 
 	# Rename the python3 executables
 	mv $(CURDIR)/debian/python3-ase/usr/bin/ase-build $(CURDIR)/debian/python3-ase/usr/bin/ase-build3

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/<project>-$1\.tar\.gz/g \
https://gitlab.com/ase/ase/tags .*archive\.tar\.gz\?ref=v?(\d\S*)

## python-ase 3.14.1

=== ase/gui/po/Makefile ===
--- 
+++ 
@@ -20,8 +20,10 @@
 # they are automatically included when you run install.
 
 # List of files calling gettext.
+TRANSLATIONFILES=../add.py ../colors.py ../constraints.py ../crystal.py ../energyforces.py ../graphene.py ../graphs.py ../gui.py ../modify.py ../movie.py ../nanoparticle.py ../nanotube.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../save.py ../settings.py ../simulation.py ../status.py ../surfaceslab.py ../ui.py ../widgets.py
+
 #TRANSLATIONFILES=../ag.py ../calculator.py ../colors.py ../constraints.py ../crystal.py ../debug.py ../dft.py ../energyforces.py ../execute.py ../graphene.py ../graphs.py ../gtkexcepthook.py ../gui.py ../minimize.py ../movie.py ../nanoparticle.py ../nanotube.py ../progress.py ../pybutton.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../scaling.py ../settings.py ../setupwindow.py ../simulation.py ../status.py ../surfaceslab.py ../widgets.py
-TRANSLATIONFILES=../*.py
+#TRANSLATIONFILES=../*.py
 
 i18n: ag.pot update-po compile

=== debian/changelog ===
python-ase (3.14.1-2) unstable; urgency=medium

  * Add dependency on python3-pkg-resources
  * Remove VCS control file from python-ase-doc, thanks Lintian!
  * Update ase-gui.desktop
  * Drop old /usr/bin/ase-* scripts

 -- Graham Inggs <ginggs@debian.org>  Sat, 08 Jul 2017 12:39:14 +0200

python-ase (3.14.1-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-typo.patch, included upstream
  * Regenerate manpages, add new manpage for /usr/bin/ase
  * Add debian/clean
  * Add Build-Depends on {python,python3}-setuptools
  * Fix privacy breach: use Debian packages of jquery,
    jquery-ui, bootstrap and font-awesome instead of
    fetching data from external websites
  * Update build-time tests
  * Update autopkgtest, run for python3 only
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Thu, 06 Jul 2017 17:23:59 +0200

python-ase (3.13.0-2) unstable; urgency=medium

  * Update debian/copyright (Closes: #860938)
  * Add autopkgtest dependency on ase, needed by test/db.py
  * Fix typo in ase/db/cli.py and man/ase-db.1, thanks Lintian!
  * Use DEB_VERSION_UPSTREAM instead of dpkg-parsechangelog
  * Bump Standards-Version to 4.0.0, no further changes

 -- Graham Inggs <ginggs@debian.org>  Mon, 19 Jun 2017 14:14:25 +0200

python-ase (3.13.0-1) experimental; urgency=medium

  * New upstream release.
  * Regenerate manpages.
  * Drop numpy1.12.patch, included upstream.
  * Switch to debhelper 10.
  * Ship new python3 ase-gui, recommend {python,python3}-tk
    instead of python-gtk2.
  * Update debian/copyright.
  * Install the icon in the correct location for AppStream.
  * Ship executable scripts in new 'ase' package.
  * Add autopkgtest.

 -- Graham Inggs <ginggs@debian.org>  Fri, 21 Apr 2017 13:39:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,56 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Ask Hjorth Larsen <asklarsen@gmail.com>,
            Graham Inggs <ginggs@debian.org>
-Section: python
+Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-exec,
                dh-python,
                python-all,
                python-numpy,
                python-scipy,
+               python-setuptools,
                python3-all,
                python3-numpy,
-               python3-scipy
-Standards-Version: 3.9.8
+               python3-scipy,
+               python3-setuptools
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/python-ase.git
 Vcs-Git: https://anonscm.debian.org/git/debichem/packages/python-ase.git
 Homepage: https://wiki.fysik.dtu.dk/ase/
 
+Package: ase
+Architecture: all
+Depends: python3-ase (= ${binary:Version}),
+         python3-pkg-resources,
+         ${misc:Depends},
+         ${python3:Depends}
+Suggests: python-ase-doc
+Breaks: python-ase (<< 3.13.0-1~)
+Replaces: python-ase (<< 3.13.0-1~)
+Description: Atomic Simulation Environment
+ ASE is an Atomic Simulation Environment written in the Python programming
+ language with the aim of setting up, stearing, and analyzing atomic
+ simulations.  ASE is part of CAMPOS, the CAMP Open Source project.
+ .
+ ASE contains Python interfaces to several different electronic structure
+ codes including Abinit, Asap, Dacapo, Elk, GPAW and SIESTA.
+ .
+ This package provides the executable scripts.
+
 Package: python-ase
 Architecture: all
-Depends: python-numpy,
+Section: python
+Depends: ase (= ${binary:Version}),
+         fonts-font-awesome,
+         libjs-bootstrap,
+         libjs-jquery,
+         libjs-jquery-ui,
+         python-numpy,
          python-scipy,
          ${misc:Depends},
          ${python:Depends}
-Recommends: python-gtk2,
-            python-matplotlib
+Recommends: python-matplotlib, python-tk
 Suggests: python-ase-doc
 Description: Atomic Simulation Environment (Python 2)
  ASE is an Atomic Simulation Environment written in the Python programming
@@ -39,11 +65,16 @@
 
 Package: python3-ase
 Architecture: all
-Depends: python3-numpy,
+Section: python
+Depends: fonts-font-awesome,
+         libjs-bootstrap,
+         libjs-jquery,
+         libjs-jquery-ui,
+         python3-numpy,
          python3-scipy,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-matplotlib
+Recommends: python3-matplotlib, python3-tk
 Suggests: python-ase-doc
 Description: Atomic Simulation Environment (Python 3)
  ASE is an Atomic Simulation Environment written in the Python programming

## python-ase 3.15.0

=== Makefile ===
#######################################
#  FOPT    -  optimization
#  C_LIBS  -  C libraries
#  LDFLAGS -  linker flags
#  EXEC    -  name of out file
#  OBJS    -  name of obj files
#######################################

EXEC    = sgroup
OBJS    = $(EXEC).o math_sg.o sto.o io.o lat.o pgrp.o \
pgrp_op.o  rotb.o sgrp_cub.o sgrp_hex.o sgrp_tet.o  sgrp_ort.o sgrp_trg.o \
sgrp_mon.o sgrp_trc.o 

#FOPT    = -O3 -malign-double -malign-loops=4 -malign-jumps=4
FOPT    = 
LDFLAGS = -L/usr/lib 
C_LIBS  = -lm


# Make executable
$(EXEC) :  $(OBJS)
	cc -o $(EXEC) $(OBJS) $(LDFLAGS) $(C_LIBS)

clean :
	rm -f $(OBJS) $(EXEC)

.c.o:
	cc -c $(FOPT) $<

=== doc/Makefile ===
--- 
+++ 
@@ -19,19 +19,24 @@
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html latex linkcheck browse
+.PHONY: help doctest clean inspect html latex linkcheck browse
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
+doctest:
+	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/html
+
 help:
 	@echo "Use \`make <target>' where <target> is one of"
 	@echo "  html       to make standalone HTML files"
+	@echo "  doctest    to test code examples"
 	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  clean      to clean up"
+	@echo "  inspect    to check generated images and other stuff"
 	@echo "  browse     to open browser"
 
 latex:
@@ -44,6 +49,9 @@
 	rm -rf $(BUILDDIR)/*
 	python -m ase.utils.sphinx clean
 
+inspect:
+	python -m ase.utils.sphinx inspect
+
 linkcheck:
 	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
 	@echo

=== ase/gui/po/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # they are automatically included when you run install.
 
 # List of files calling gettext.
-TRANSLATIONFILES=../add.py ../colors.py ../constraints.py ../crystal.py ../energyforces.py ../graphene.py ../graphs.py ../gui.py ../modify.py ../movie.py ../nanoparticle.py ../nanotube.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../save.py ../settings.py ../simulation.py ../status.py ../surfaceslab.py ../ui.py ../widgets.py
+TRANSLATIONFILES=../add.py ../colors.py ../constraints.py ../crystal.py ../energyforces.py ../graphene.py ../graphs.py ../gui.py ../images.py ../modify.py ../movie.py ../nanoparticle.py ../nanotube.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../save.py ../settings.py ../simulation.py ../status.py ../surfaceslab.py ../ui.py ../widgets.py
 
 #TRANSLATIONFILES=../ag.py ../calculator.py ../colors.py ../constraints.py ../crystal.py ../debug.py ../dft.py ../energyforces.py ../execute.py ../graphene.py ../graphs.py ../gtkexcepthook.py ../gui.py ../minimize.py ../movie.py ../nanoparticle.py ../nanotube.py ../progress.py ../pybutton.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../scaling.py ../settings.py ../setupwindow.py ../simulation.py ../status.py ../surfaceslab.py ../widgets.py
 #TRANSLATIONFILES=../*.py

=== debian/changelog ===
python-ase (3.15.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Drop update-desktop.patch, included upstream
  * Regenerate manpage
  * Remove trailing whitespace from debian/changelog, thanks Lintian!
  * Bump Standards-Version to 4.1.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 31 Oct 2017 16:09:23 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-numpy,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/python-ase.git
 Vcs-Git: https://anonscm.debian.org/git/debichem/packages/python-ase.git
 Homepage: https://wiki.fysik.dtu.dk/ase/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=ase

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="cd ase/test; {interpreter} -m ase test" \
		PATH=$(CURDIR)/bin:$$PATH \
		LC_ALL=C.UTF-8 \
		dh_auto_test

override_dh_auto_install:
	# Fix some permissions
	chmod -x $(CURDIR)/doc/static/*
	chmod -x $(CURDIR)/doc/ase/calculators/*
	# Remove VCS control file
	rm -f $(CURDIR)/doc/.gitignore

	dh_auto_install

	# Move /usr/bin/ase from python3-ase to ase, drop all other scripts
	mkdir -p $(CURDIR)/debian/ase/usr/bin/
	mv $(CURDIR)/debian/python3-ase/usr/bin/ase $(CURDIR)/debian/ase/usr/bin/
	rm -f $(CURDIR)/debian/python-ase/usr/bin/*
	rm -f $(CURDIR)/debian/python3-ase/usr/bin/*

generate-manpages:
	help2man --version-string $(DEB_VERSION_UPSTREAM) -N -n "ASE command line tool" \
		ase -o $(CURDIR)/debian/man/ase.1
	sed -i '/^{/s/,/, /g' $(CURDIR)/debian/man/ase.1

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(\d\S+)\/archive\.tar\.gz/ase-$1\.tar\.gz/g \
https://gitlab.com/ase/ase/tags?sort=updated_desc .*/(\d\S+)/archive\.tar\.gz

## python-ase 3.16.2

=== ase/gui/po/Makefile ===
--- 
+++ 
@@ -56,7 +56,7 @@
 	done
 
 gitrevert:
-	git checkout -- ag.pot '*/LC_MESSAGES/ag.po'
+	git checkout -- '*/LC_MESSAGES/ag.po'
 
 clean:
 	rm -f ./*/LC_MESSAGES/ag.mo

=== debian/changelog ===
python-ase (3.16.2-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-broken-ase.db.app-test.patch included upstream
  * Indicate that python3-ase breaks gpaw (<< 1.4.0~), see #895033
  * Mark python-ase-doc as Multi-Arch: foreign
  * Add dependency on python3-spglib for python3-ase (Closes: #896530)

 -- Graham Inggs <ginggs@debian.org>  Wed, 06 Jun 2018 12:59:55 +0000

python-ase (3.16.0-2) unstable; urgency=medium

  * Update debian/watch
  * Fix broken ase.db.app test, thanks Daniel Watkins (Closes: #900310)
  * Bump Standards-Version to 4.1.4, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 29 May 2018 00:26:03 +0000

python-ase (3.16.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* URIs for move to salsa.debian.org
  * Update debian/copyright
  * Turn debhelper up to 11
  * Regenerate manpage
  * Bump Standards-Version to 4.1.3, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 03 Apr 2018 12:24:35 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Graham Inggs <ginggs@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-exec,
                dh-python,
                python-all,
@@ -15,9 +15,9 @@
                python3-numpy,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/python-ase.git
-Vcs-Git: https://anonscm.debian.org/git/debichem/packages/python-ase.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debichem-team/python-ase
+Vcs-Git: https://salsa.debian.org/debichem-team/python-ase.git
 Homepage: https://wiki.fysik.dtu.dk/ase/
 
 Package: ase
@@ -72,9 +72,11 @@
          libjs-jquery-ui,
          python3-numpy,
          python3-scipy,
+         python3-spglib,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-matplotlib, python3-tk
+Breaks: gpaw (<< 1.4.0~)
 Suggests: python-ase-doc
 Description: Atomic Simulation Environment (Python 3)
  ASE is an Atomic Simulation Environment written in the Python programming
@@ -88,6 +90,7 @@
 
 Package: python-ase-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Breaks: python-ase (<< 3.9.1.4567-2~)

## python-ase 3.17.0

=== requirements.txt ===
numpy
psycopg2-binary

=== debian/changelog ===
python-ase (3.17.0-4) unstable; urgency=medium

  * Stop building python-ase Python 2 package
  * Drop Breaks/Replaces on obsolete python-ase versions
  * Bump Standards-Version to 4.4.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 11 Jul 2019 08:51:28 +0000

python-ase (3.17.0-3) unstable; urgency=medium

  * Make tolerance in socket io test less strict to avoid
    autopkgtest failure with glibc 2.29 on some archictures
  * Update MathJax replacement for Sphinx 1.8.5
  * Drop fix-privacy-breach.patch and use sed instead
  * Switch to debhelper 12
  * Rules-Requires-Root: no

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Jul 2019 15:49:28 +0000

python-ase (3.17.0-2) unstable; urgency=medium

  * Fix autopkgtest on big-endian systems
  * Bump Standards-Version to 4.3.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 19 Jan 2019 08:32:01 +0000

python-ase (3.17.0-1) unstable; urgency=medium

  * New upstream release
  * Regenerate manpage
  * Generate documentation with Sphinx
  * Register documentation in doc-base
  * Bump Standards-Version to 4.2.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 11 Dec 2018 11:36:48 +0000

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
            Graham Inggs <ginggs@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dh-python,
-               python-all,
-               python-numpy,
-               python-scipy,
-               python-setuptools,
+               povray,
                python3-all,
+               python3-matplotlib,
                python3-numpy,
                python3-scipy,
-               python3-setuptools
-Standards-Version: 4.1.4
+               python3-setuptools,
+               python3-sphinx,
+               python3-sphinx-rtd-theme
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-ase
 Vcs-Git: https://salsa.debian.org/debichem-team/python-ase.git
 Homepage: https://wiki.fysik.dtu.dk/ase/
@@ -27,8 +28,6 @@
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-ase-doc
-Breaks: python-ase (<< 3.13.0-1~)
-Replaces: python-ase (<< 3.13.0-1~)
 Description: Atomic Simulation Environment
  ASE is an Atomic Simulation Environment written in the Python programming
  language with the aim of setting up, stearing, and analyzing atomic
@@ -38,30 +37,6 @@
  codes including Abinit, Asap, Dacapo, Elk, GPAW and SIESTA.
  .
  This package provides the executable scripts.
-
-Package: python-ase
-Architecture: all
-Section: python
-Depends: ase (= ${binary:Version}),
-         fonts-font-awesome,
-         libjs-bootstrap,
-         libjs-jquery,
-         libjs-jquery-ui,
-         python-numpy,
-         python-scipy,
-         ${misc:Depends},
-         ${python:Depends}
-Recommends: python-matplotlib, python-tk
-Suggests: python-ase-doc
-Description: Atomic Simulation Environment (Python 2)
- ASE is an Atomic Simulation Environment written in the Python programming
- language with the aim of setting up, stearing, and analyzing atomic
- simulations.  ASE is part of CAMPOS, the CAMP Open Source project.
- .
- ASE contains Python interfaces to several different electronic structure
- codes including Abinit, Asap, Dacapo, Elk, GPAW and SIESTA.
- .
- This package provides the Python 2 modules.
 
 Package: python3-ase
 Architecture: all
@@ -92,9 +67,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
-Breaks: python-ase (<< 3.9.1.4567-2~)
-Replaces: python-ase (<< 3.9.1.4567-2~)
+Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Atomic Simulation Environment (common documentation)
  ASE is an Atomic Simulation Environment written in the Python programming
  language with the aim of setting up, stearing, and analyzing atomic

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=ase

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="cd ase/test; {interpreter} -m ase test" \
		PATH=$(CURDIR)/bin:$$PATH \
		LC_ALL=C.UTF-8 \
		dh_auto_test

override_dh_auto_install:
	dh_auto_install

	# Move /usr/bin/ase from python3-ase to ase, drop all other scripts
	mkdir -p $(CURDIR)/debian/ase/usr/bin/
	mv $(CURDIR)/debian/python3-ase/usr/bin/ase $(CURDIR)/debian/ase/usr/bin/
	rm -f $(CURDIR)/debian/python3-ase/usr/bin/*

	# Fix privacy breach
	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<script.*jquery-[0-9].*\.js.*<\/script>/<script src=\"{{ url_for('static', filename='jquery.min.js') }}\"><\/script>/g" '{}' \;
	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<script.*jquery-ui\..*js.*<\/script>/<script src=\"{{ url_for('static', filename='jquery-ui.min.js') }}\"><\/script>/g" '{}' \;
	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<script.*bootstrap\..*js.*<\/script>/<script src=\"{{ url_for('static', filename='bootstrap.min.js') }}\"><\/script>/g" '{}' \;

	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<link.*bootstrap\..*css.*>/<link rel="stylesheet" href=\"{{ url_for('static', filename='bootstrap.min.css') }}\">/g" '{}' \;
	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<link.*bootstrap-theme\..*css.*>/<link rel="stylesheet" href=\"{{ url_for('static', filename='bootstrap-theme.min.css') }}\">/g" '{}' \;
	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<link.*jquery-ui\..*css.*>/<link rel="stylesheet" href=\"{{ url_for('static', filename='jquery-ui.min.css') }}\">/g" '{}' \;
	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<link.*font-awesome\..*css.*>/<link rel="stylesheet" href=\"{{ url_for('static', filename='font-awesome.min.css') }}\">/g" '{}' \;

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=./doc/ python3 -m sphinx -b html doc debian/python-ase-doc/usr/share/doc/python-ase-doc/html
	dh_sphinxdoc
	find $(CURDIR)/debian/python-ase-doc -name '*.html' -exec \
		sed -i -e "s/https:.*mathjax.*\.js/file:\/\/\/usr\/share\/javascript\/mathjax\/MathJax.js/g" '{}' \;
endif

generate-manpages:
	help2man --version-string $(DEB_VERSION_UPSTREAM) -N -n "ASE command line tool" \
		ase -o $(CURDIR)/debian/man/ase.1
	sed -i '/^{/s/,/, /g' $(CURDIR)/debian/man/ase.1

## python-ase 3.18.1

=== debian/changelog ===
python-ase (3.18.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.18.1
  * Autogenerating the manpage.

 -- Andrius Merkys <merkys@debian.org>  Mon, 23 Sep 2019 01:23:31 -0400

python-ase (3.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.18.0
  * Updating copyright years.
  * Dropping big-endian.patch: integrated upstream.
  * Dropping socket-io-test-tolerance.patch: integrated upstream.
  * Dropping python3-only.patch: integrated upstream.
  * Adding Suggests: python3-netcdf4 and python3-pycodcif.
  * Adding build- and test-depends on python3-netcdf4 and python3-pycodcif.

 -- Andrius Merkys <merkys@debian.org>  Mon, 05 Aug 2019 03:41:46 -0400

=== debian/tests/control ===
Test-Command: for py in $(py3versions -s); do cd "$ADTTMP"; $py -m ase test; done
Depends: python3-all, python3-ase, python3-netcdf4, python3-pycodcif, ase

## python-ase 3.19.0

=== ase/gui/po/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # they are automatically included when you run install.
 
 # List of files calling gettext.
-TRANSLATIONFILES=../add.py ../colors.py ../constraints.py ../crystal.py ../energyforces.py ../graphene.py ../graphs.py ../gui.py ../images.py ../modify.py ../movie.py ../nanoparticle.py ../nanotube.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../save.py ../settings.py ../simulation.py ../status.py ../surfaceslab.py ../ui.py ../widgets.py
+TRANSLATIONFILES=../add.py ../celleditor.py ../colors.py ../constraints.py ../graphene.py ../graphs.py ../gui.py ../images.py ../modify.py ../movie.py ../nanoparticle.py ../nanotube.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../save.py ../settings.py ../status.py ../surfaceslab.py ../ui.py ../widgets.py
 
 #TRANSLATIONFILES=../ag.py ../calculator.py ../colors.py ../constraints.py ../crystal.py ../debug.py ../dft.py ../energyforces.py ../execute.py ../graphene.py ../graphs.py ../gtkexcepthook.py ../gui.py ../minimize.py ../movie.py ../nanoparticle.py ../nanotube.py ../progress.py ../pybutton.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../scaling.py ../settings.py ../setupwindow.py ../simulation.py ../status.py ../surfaceslab.py ../widgets.py
 #TRANSLATIONFILES=../*.py

=== debian/changelog ===
python-ase (3.19.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.19.0
  * Allowing STDERR in autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Thu, 19 Dec 2019 01:29:49 -0500

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,13 @@
 Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dh-python,
+               help2man,
                povray,
                python3-all,
                python3-matplotlib,
+               python3-netcdf4,
                python3-numpy,
+               python3-pycodcif,
                python3-scipy,
                python3-setuptools,
                python3-sphinx,
@@ -52,7 +55,9 @@
          ${python3:Depends}
 Recommends: python3-matplotlib, python3-tk
 Breaks: gpaw (<< 1.4.0~)
-Suggests: python-ase-doc
+Suggests: python-ase-doc,
+          python3-netcdf4,
+          python3-pycodcif
 Description: Atomic Simulation Environment (Python 3)
  ASE is an Atomic Simulation Environment written in the Python programming
  language with the aim of setting up, stearing, and analyzing atomic

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,13 @@
 		sed -i -e "s/https:.*mathjax.*\.js/file:\/\/\/usr\/share\/javascript\/mathjax\/MathJax.js/g" '{}' \;
 endif
 
-generate-manpages:
-	help2man --version-string $(DEB_VERSION_UPSTREAM) -N -n "ASE command line tool" \
-		ase -o $(CURDIR)/debian/man/ase.1
-	sed -i '/^{/s/,/, /g' $(CURDIR)/debian/man/ase.1
+override_dh_installman:
+	PYTHONPATH=$(CURDIR) \
+		help2man --version-string $(DEB_VERSION_UPSTREAM) -N -n "ASE command line tool" \
+		bin/ase -o $(CURDIR)/debian/ase.1
+	sed -i '/^{/s/,/, /g' $(CURDIR)/debian/ase.1
+	dh_installman
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f debian/ase.1

=== debian/tests/control ===
Test-Command: for py in $(py3versions -s); do cd "$ADTTMP"; $py -m ase test; done
Depends: python3-all, python3-ase, python3-netcdf4, python3-pycodcif, ase
Restrictions: allow-stderr

## python-ase 3.20.1

=== debian/changelog ===
python-ase (3.20.1-1) unstable; urgency=medium

  * New upstream version 3.20.1
  * Adding myself to the Uploaders list.
  * Skipping failing tests via patches.
  * Tests depend on python3-pytest.
  * Adding build-depends on python3-tk.
  * Refreshing debian/clean.
  * Removing .pytest_cache.

 -- Andrius Merkys <merkys@debian.org>  Wed, 12 Aug 2020 04:12:44 -0400

python-ase (3.19.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.19.2

 -- Andrius Merkys <merkys@debian.org>  Thu, 23 Jul 2020 04:38:29 -0400

python-ase (3.19.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.19.1 (Closes: #954619)

 -- Andrius Merkys <merkys@debian.org>  Sun, 05 Apr 2020 01:24:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-ase
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Ask Hjorth Larsen <asklarsen@gmail.com>,
-           Graham Inggs <ginggs@debian.org>
+           Graham Inggs <ginggs@debian.org>,
+           Andrius Merkys <merkys@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
@@ -13,11 +14,13 @@
                python3-matplotlib,
                python3-netcdf4,
                python3-numpy,
-               python3-pycodcif,
+               python3-pycodcif <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-scipy,
                python3-setuptools,
                python3-sphinx,
-               python3-sphinx-rtd-theme
+               python3-sphinx-rtd-theme,
+               python3-tk <!nocheck>
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-ase
@@ -53,7 +56,8 @@
          python3-spglib,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-matplotlib, python3-tk
+Recommends: python3-matplotlib,
+            python3-tk
 Breaks: gpaw (<< 1.4.0~)
 Suggests: python-ase-doc,
           python3-netcdf4,

=== debian/rules ===
--- 
+++ 
@@ -47,13 +47,14 @@
 		sed -i -e "s/https:.*mathjax.*\.js/file:\/\/\/usr\/share\/javascript\/mathjax\/MathJax.js/g" '{}' \;
 endif
 
+override_dh_python3:
+	dh_python3
+	# Remove .pytest_cache
+	rm -rf $(CURDIR)/debian/python3-ase/usr/lib/python3/dist-packages/ase/test/.pytest_cache
+
 override_dh_installman:
 	PYTHONPATH=$(CURDIR) \
 		help2man --version-string $(DEB_VERSION_UPSTREAM) -N -n "ASE command line tool" \
 		bin/ase -o $(CURDIR)/debian/ase.1
 	sed -i '/^{/s/,/, /g' $(CURDIR)/debian/ase.1
 	dh_installman
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f debian/ase.1

=== debian/tests/control ===
Test-Command: for py in $(py3versions -s); do cd "$ADTTMP"; $py -m ase test; done
Depends:
 ase,
 python3-all,
 python3-ase,
 python3-netcdf4,
 python3-pycodcif,
 python3-pytest,
 python3-tk,
Restrictions: allow-stderr
